KIntValidator class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KIntValidator Class Reference

QValidator for integers. More...

`#include <knumvalidator.h>`

Inheritance diagram for KIntValidator:

[legend]
Collaboration diagram for KIntValidator:

[legend]
List of all members.

## Public Member Functions
| KIntValidator (QWidget *parent, int base=10, const char *name=0)
| Constuctor.
| KIntValidator (int bottom, int top, QWidget *parent, int base=10, const char *name=0)
| Constructor.
virtual | ~KIntValidator ()
| Destructs the validator.
virtual State | validate (QString &, int &) const
| Validates the text, and return the result.
virtual void | fixup (QString &) const
| Fixes the text if possible, providing a valid string.
virtual void | setRange (int bottom, int top)
| Sets the minimum and maximum values allowed.
virtual void | setBase (int base)
| Sets the numeric base value.
virtual int | bottom () const
| Returns the current minimum value allowed.
virtual int | top () const
| Returns the current maximum value allowed.
virtual int | base () const
| Returns the current numeric base.

## Detailed Description

QValidator for integers.

This can be used by QLineEdit or subclass to provide validated text entry. Can be provided with a base value (default is 10), to allow the proper entry of hexadecimal, octal, or any other base numeric data.

Author:
  Glen Parker <glenebob@nwlink.com>

Version:
  0.0.1

Definition at line 42 of file knumvalidator.h.

## Constructor & Destructor Documentation

KIntValidator::KIntValidator | ( | QWidget * | parent,
|  | int | base = 10,
|  | const char * | name = 0
| ) |

| Constuctor. Also sets the base value. Definition at line 38 of file knumvalidator.cpp. References KStdAccel::name().

KIntValidator::KIntValidator | ( | int | bottom,
|  | int | top,
|  | QWidget * | parent,
|  | int | base = 10,
|  | const char * | name = 0
| ) |

| Constructor. Also sets the minimum, maximum, and numeric base values. Definition at line 48 of file knumvalidator.cpp. References KStdAccel::name().

KIntValidator::~KIntValidator | ( |  | ) | `[virtual]`

| Destructs the validator. Definition at line 58 of file knumvalidator.cpp.

## Member Function Documentation

QValidator::State KIntValidator::validate | ( | QString & | ,
|  | int & |
| ) | const`[virtual]`

| Validates the text, and return the result. Does not modify the parameters. Reimplemented from QValidator. Definition at line 61 of file knumvalidator.cpp. References QString::fromLatin1(), QString::length(), QString::stripWhiteSpace(), QString::toInt(), and QString::upper(). Referenced by fixup().

void KIntValidator::fixup | ( | QString & |  | ) | const`[virtual]`

| Fixes the text if possible, providing a valid string. The parameter may be modified. Reimplemented from QValidator. Definition at line 95 of file knumvalidator.cpp. References QString::setNum(), QString::toInt(), and validate().

void KIntValidator::setRange | ( | int | bottom,
|  | int | top
| ) | `[virtual]`

| Sets the minimum and maximum values allowed. Definition at line 117 of file knumvalidator.cpp.

void KIntValidator::setBase | ( | int | base | ) | `[virtual]`

| Sets the numeric base value. Definition at line 126 of file knumvalidator.cpp.

int KIntValidator::bottom | ( |  | ) | const`[virtual]`

| Returns the current minimum value allowed. Definition at line 132 of file knumvalidator.cpp.

int KIntValidator::top | ( |  | ) | const`[virtual]`

| Returns the current maximum value allowed. Definition at line 137 of file knumvalidator.cpp.

int KIntValidator::base | ( |  | ) | const`[virtual]`

| Returns the current numeric base. Definition at line 142 of file knumvalidator.cpp.

The documentation for this class was generated from the following files:

- knumvalidator.h
- knumvalidator.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:01:21 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001